#include <fmt/format.h>
#include <rngxx.hpp>
#include <rngxx/crand.h>

void iter(Random& rng)
{
	for(auto&& i : rng.iter<int>())
		fmt::print("{} ", i);
}

extern "C" {
	void cpp_test()
	{
		auto random = new rng::crand(100);
		iter(random);
	}
}
